Package: org.codehaus.groovy.runtime

## [Java] Class FlushingStreamWriter

- org.codehaus.groovy.runtime.FlushingStreamWriter

-     public class FlushingStreamWriter
      extends OutputStreamWriter

  Stream writer which flushes after each write operation.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `FlushingStreamWriter(OutputStream out)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `write(char[] cbuf, int off, int len)`
    `` | `public void` | `write(int c)`
    `` | `public void` | `write(String str, int off, int len)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class OutputStreamWriter` | `append, append, append, append, append, append, close, equals, flush, getClass, getEncoding, hashCode, notify, notifyAll, nullWriter, toString, wait, wait, wait, write, write, write, write, write`

- - ### Constructor Detail

    - #### public FlushingStreamWriter(OutputStream out)

  - ### Method Detail

    - #### @Override
      public void write(char[] cbuf, int off, int len)

    - #### @Override
      public void write(int c)

    - #### @Override
      public void write(String str, int off, int len)